> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Master Player Data

> Exports all associated data of a master player account

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| EmailAddressNotAvailable | 1006 |




## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/ExportMasterPlayerData
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/ExportMasterPlayerData:
    post:
      tags:
        - Account Management
      summary: Export Master Player Data
      description: |
        Exports all associated data of a master player account

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | EmailAddressNotAvailable | 1006 |
      operationId: ExportMasterPlayerData
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExportMasterPlayerDataRequest'
        description: >-
          Exports all data associated with the master player account, including
          data from all titles the player has played, such as statistics, custom
          data, inventory, purchases, virtual currency balances, characters,
          group memberships, publisher data, credential data, account linkages,
          friends list, PlayStream event data, and telemetry event data. Note,
          this API queues the player for export and returns a receipt
          immediately. Record the receipt ID for future reference. It may take
          some time before the export is available for download. Upon completion
          of the export, an email containing the URL to download the export dump
          will be sent to the notification email address configured for the
          title.
      responses:
        '200':
          $ref: '#/components/responses/ExportMasterPlayerDataResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    ExportMasterPlayerDataRequest:
      description: >-
        Exports all data associated with the master player account, including
        data from all titles the player has played, such as statistics, custom
        data, inventory, purchases, virtual currency balances, characters, group
        memberships, publisher data, credential data, account linkages, friends
        list, PlayStream event data, and telemetry event data. Note, this API
        queues the player for export and returns a receipt immediately. Record
        the receipt ID for future reference. It may take some time before the
        export is available for download. Upon completion of the export, an
        email containing the URL to download the export dump will be sent to the
        notification email address configured for the title.
      type: object
      properties:
        PlayFabId:
          description: >-
            Unique PlayFab assigned ID of the user on whom the operation will be
            performed.
          type: string
      required:
        - PlayFabId
      example:
        PlayFabId: A68C908B66C23C5
    ExportMasterPlayerDataResult:
      type: object
      properties:
        JobReceiptId:
          description: >-
            An email with this job receipt Id containing the export download
            link will be sent to the title notification email address when the
            export is complete.
          type: string
      example:
        JobReceiptId: A101202A2CD049A0A93C9531DFB37DE8
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    ExportMasterPlayerDataResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ExportMasterPlayerDataResult'
            example:
              code: 200
              status: OK
              data:
                JobReceiptId: A101202A2CD049A0A93C9531DFB37DE8
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Export Master Player Data](/services/playfab/api-references/rest/admin/account-management/export-master-player-data.md)
- [PlayFab GDPR - Export Player Data](/services/playfab/data-analytics/privacy-compliance/gdpr-exporting-player-data.md)
- [PlayFab GDPR - Deleting and Exporting Player Data](/services/playfab/data-analytics/privacy-compliance/playfab-gdpr-deleting-and-exporting-player-data.md)
- [PlayFab Release Notes 2018](/services/playfab/release-notes/2018.md)
- [Profile Reads Meter API Description](/services/playfab/pricing/meters/profile-reads.md)
